<?php
/**
 * TOP API: alibaba.alihealth.drug.msc.serviceinfo request
 * 
 * @author auto create
 * @since 1.0, 2025.09.01
 */
class AlibabaAlihealthDrugMscServiceinfoRequest
{
	/** 
	 * 企业的refEntId
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.msc.serviceinfo";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
